> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/accounts/history.md).

# History

#### `GET /accounts/:account_id/run_history` <a href="#get-accounts-account_id-run_history" id="get-accounts-account_id-run_history"></a>

> Sample Response

```
{
  "message": [
    {
      "run_timestamp": 1549577062214,
      "run_type": "settlement",
      "run_id": "500",
      "change": "2000",
      "new_balance": "146645"
    },
    {
      "run_timestamp": 1520134020000,
      "run_type": "deposit",
      "run_id": "480",
      "change": "100000",
      "new_balance": "144645"
    },
    {
      "run_timestamp": 1510101010000,
      "run_type": "withdrawal",
      "run_id": "375",
      "change": "-20000",
      "new_balance": "44645"
    }
  ],
  "page": 1,
  "total_pages": 32
}
```

Returns the history of grouped settlements, deposits, withdrawals and other changes that have been applied to an account to lead up to its current balance.

<table><thead><tr><th width="179.33333333333331">Parameter</th><th width="422">Description</th><th>Type</th></tr></thead><tbody><tr><td>run_timestamp</td><td>The time that the particular run was executed</td><td>timestamp</td></tr><tr><td>run_type</td><td>The type of run</td><td>string</td></tr><tr><td>run_id</td><td>A unique ID for the particular run</td><td>string</td></tr><tr><td>change</td><td>The net change to the account due to all movements within the particular run</td><td>string</td></tr><tr><td>new_balance</td><td>The new account balance post-run</td><td>string</td></tr></tbody></table>

**Run Type**

A run is a group of movements that pertain to the same type of change to an account. They are split into the following buckets:

<table><thead><tr><th width="192">Run</th><th>Description</th></tr></thead><tbody><tr><td>deposit</td><td>deposit represents a new deposit into the particular account, always increasing the total balance of the account</td></tr><tr><td>execution_fee</td><td>execution_fee represents a run to process fees incurred from trading on a Seed CX liquidity venue</td></tr><tr><td>network_fee</td><td>network_fee represents any and all blockchain network fees applied to an account, always decreasing the total balance of the account</td></tr><tr><td>settlement</td><td>settlement is a group of movements due to margining and settling trades, which may increase or decrease the account balance</td></tr><tr><td>transfer</td><td>transfer represents an internal transfer to or from an account at NDAX</td></tr><tr><td>withdrawal</td><td>withdrawal represents an approved and processed withdrawal from a particular account, always decreasing the total balance of the account</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/accounts/history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
